@import "_variables";
@import "_mixins";

.hat {
  background: url("../../dist/img/header/img1.png") no-repeat center;
  background-size: cover;
  min-width: 20rem;
  min-height: 45rem;
  @media (min-width: 481px) {
    min-height: 50rem;
  }
  font-family: $montserrat-font;

  & .menu {
    & a {
      display: flex;
      align-items: center;
      color: $hat;

      & .logo {
        display: none;
      }

      @media (min-width: 481px) {
        & .logo {
          display: inline-flex;
          margin: 1rem;
          text-transform: uppercase;
          @include font-size(1.5rem, 1rem, 700, $hat);
          color: inherit;
        }
      }

      & svg:nth-child(2) {
        display: none;
      }

      &:hover {
        color: $neutral;

        & svg:nth-child(1) {
          display: none;
        }

        & svg:nth-child(2) {
          display: block;
        }
      }
    }

    @include center;
    flex-wrap: wrap;
    @media (min-width: 992px) {
      flex-wrap: nowrap;
      background-color: transparent;
    }
    justify-content: space-between;
    position: relative;
    height: 6.4375rem;
    background-color: #27262A;
    font-weight: 400;

    & .btn-buy {
      @include btn-body;
      min-width: 9.8125rem;
      height: 2.25rem;
      @media (min-width: 992px) {
        order: 3;
      }
    }

    & .btn--close {
      @include body-burger;

      & span {
        position: absolute;
        border-top: 3px solid $neutral;
        width: 100%;
        pointer-events: none;
        left: 0;

        &::before,
        &::after {
          @include burger-b-a;
        }

        &::before {
          top: 5px;
          left: 0;
          width: 100%;
        }

        &::after {
          bottom: 8px;
          width: 50%;
        }
      }
    }

    & .btn--open {
      @include body-burger;

      & span {
        pointer-events: none;

        &::before,
        &::after {
          @include burger-b-a;
          border-top: 2px solid $neutral;
          left: -0.25rem;
          width: 2rem;
        }

        &::before {
          top: 12px;
          transform: rotate(45deg);
        }

        &::after {
          bottom: 12px;
          transform: rotate(-45deg);
        }
      }
    }

    @media (min-width: 481px) {
      & .btn-burger {
        display: none;
      }
    }

    & .menu__list-wrap {
      position: absolute;
      min-width: 18.75rem;
      right: 0;
      top: 6.4rem;
      margin-right: 0.625rem;
      margin-left: 0.625rem;
      height: 22.875rem;
      overflow: hidden;

      & .menu__list {
        position: absolute;
        top: 0;
        right: 0;
        min-width: inherit;
        height: inherit;
        background-color: #333333;
        transition: 0.7s;

        & li {
          position: relative;
          height: 5.5rem;
          @include center;
          justify-content: flex-start;
          border-bottom: 3px solid #3b3b3b;

          & a {
            width: 100%;
            height: 100%;
            @include center;
            justify-content: flex-start;
            padding-left: 2.1875rem;
            @include font-size(1.625rem, 1.625rem, 400, $neutral);

            &:hover {
              color: $hat;

              &:before {
                content: "";
                position: absolute;
                left: 0;
                top: 1.09375rem;
                width: 0.5rem;
                height: 3.3125rem;
                background-color: $hat;
              }
            }
          }
        }
      }

      & .list--close {
        top: -22.875rem;
      }

      & .list--open {
        top: 0;
      }
    }

    @media (min-width: 481px) {
      & .menu__list-wrap {
        width: 100%;
        position: relative;
        top: 0;
        display: flex;
        justify-content: center;
        height: 1.2rem;
        @media (min-width: 992px) {
          justify-content: flex-end;
        }

        & .menu__list-full {
          display: flex;
          align-items: center;
          @media (min-width: 992px) {
            order: 2;
          }

          & li {
            margin: 0 1.4375rem;
            @media (max-width: 580px) {
              @media (max-width: 525px) {
                margin: 0 0.5rem;
              }
              margin: 0 1rem;
            }
            & a {
              white-space: nowrap;
              @include font-size(1rem, 1.125rem, 700, $hat);
              &:hover{
                color: $neutral;
              }
            }
          }
        }
      }
    }
  }

  & .hat__box {
    @include center;
    flex-direction: column;
    padding: 10px;

    & .hat__look {
      margin: 1rem;
      text-align: center;
      @include font-size(1.125rem, 1.5rem, 400, $hat);
    }

    & .hat__description {
      text-align: center;
      font-weight: 400;
      font-size: 0.875rem;
      color: $dark-light;
    }
  }
}

.hat__bottom {
  position: relative;
  @include center;
  min-height: 4.875rem;

  & span {
    position: absolute;
    top: calc(20% + 1.40625rem);
    font-family: $montserrat-font;
    font-weight: 400;
    font-size: 0.875rem;
    color: $dark-light;
  }

  & .btn-download {
    @include btn-body;
    position: absolute;
    width: 18.125rem;
    height: 2.8145rem;
    top: -1.40625rem;
  }
}